## org.codehaus.groovy.grails.plugins.web.taglib
Class JavascriptTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.JavascriptTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class JavascriptTagLib

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`JavascriptTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static Object` `getCONTROLLER()`
`Object` `getEscapeJavascript()`
`Object` `getFormRemote()`
`static Object` `getINCLUDED_JS()`
`static Object` `getINCLUDED_LIBRARIES()`
`Object` `getJavascript()`
`static Object` `getLIBRARY_MAPPINGS()`
`groovy.lang.MetaClass` `getMetaClass()`
`GrailsPluginManager` `getPluginManager()`
`Object` `getProperty(String property)`
`static Object` `getPROVIDER_MAPPINGS()`
`Object` `getRemoteField()`
`Object` `getRemoteFunction()`
`Object` `getRemoteLink()`
`Object` `getSetProvider()`
`Object` `getSubmitToRemote()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setEscapeJavascript(Object value)`
`void` `setFormRemote(Object value)`
`void` `setJavascript(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPluginManager(GrailsPluginManager value)`
`void` `setProperty(String property, Object value)`
`void` `setRemoteField(Object value)`
`void` `setRemoteFunction(Object value)`
`void` `setRemoteLink(Object value)`
`void` `setSetProvider(Object value)`
`void` `setSubmitToRemote(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavascriptTagLib

    public JavascriptTagLib()

Method Detail

### getINCLUDED_LIBRARIES

    public static Object getINCLUDED_LIBRARIES()

### getINCLUDED_JS

    public static Object getINCLUDED_JS()

### getCONTROLLER

    public static Object getCONTROLLER()

### getLIBRARY_MAPPINGS

    public static Object getLIBRARY_MAPPINGS()

### getPROVIDER_MAPPINGS

    public static Object getPROVIDER_MAPPINGS()

### getPluginManager

    public GrailsPluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(GrailsPluginManager value)

### getJavascript

    public Object getJavascript()

### setJavascript

    public void setJavascript(Object value)

### getRemoteFunction

    public Object getRemoteFunction()

### setRemoteFunction

    public void setRemoteFunction(Object value)

### getRemoteLink

    public Object getRemoteLink()

### setRemoteLink

    public void setRemoteLink(Object value)

### getRemoteField

    public Object getRemoteField()

### setRemoteField

    public void setRemoteField(Object value)

### getFormRemote

    public Object getFormRemote()

### setFormRemote

    public void setFormRemote(Object value)

### getSubmitToRemote

    public Object getSubmitToRemote()

### setSubmitToRemote

    public void setSubmitToRemote(Object value)

### getEscapeJavascript

    public Object getEscapeJavascript()

### setEscapeJavascript

    public void setEscapeJavascript(Object value)

### getSetProvider

    public Object getSetProvider()

### setSetProvider

    public void setSetProvider(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project